nfacetspec.h File Reference

Allows lightweight representation of individual facets of simplices. More...

`#include "regina-core.h"`

## Classes

struct | regina::NFacetSpec< dim >
| A lightweight class used to refer to a particular facet of a particular simplex in a triangulation. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Typedefs

typedef NFacetSpec< 2 > | regina::Dim2TriangleEdge
| A lightweight class used to refer to a particular edge of a particular triangle in a 2-manifold triangulation. More...
typedef NFacetSpec< 3 > | regina::NTetFace
| A lightweight class used to refer to a particular face of a particular tetrahedron in a 3-manifold triangulation. More...

## Detailed Description

Allows lightweight representation of individual facets of simplices.

Copyright © 1999-2014, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).